# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "pepper"
version = "0.5.6"
authors = ["Matheus Lessa <matheus@fastmail.com>"]
description = "An opinionated modal editor to simplify code editing from the terminal"
homepage = "https://github.com/matheuslessarodrigues/pepper"
documentation = "https://github.com/matheuslessarodrigues/pepper"
readme = "README.md"
categories = ["command-line-utilities", "text-editors"]
license = "GPL-3.0"
license-file = "LICENSE"
repository = "https://github.com/matheuslessarodrigues/pepper"

[[bin]]
name = "pepper"
path = "src/main.rs"
[dependencies.argh]
version = "0.1"

[dependencies.copypasta]
version = "0.7"

[dependencies.crossterm]
version = "0.18"

[dependencies.ctrlc]
version = "3.1"

[dependencies.fuzzy-matcher]
version = "0.3"

[dependencies.mlua]
version = "0.4"
features = ["vendored", "lua54"]

[dependencies.polling]
version = "2.0"
[target."cfg(windows)".dependencies.uds_windows]
version = "0.1"
